--------------------------------------------------------------------------------
-- Copyright (c) 1995-2013 Xilinx, Inc.  All rights reserved.
--------------------------------------------------------------------------------
--   ____  ____
--  /   /\/   /
-- /___/  \  /    Vendor: Xilinx
-- \   \   \/     Version: P.20131013
--  \   \         Application: netgen
--  /   /         Filename: SimExampleCircuit_timesim.vhd
-- /___/   /\     Timestamp: Thu Feb 12 18:45:44 2015
-- \   \  /  \ 
--  \___\/\___\
--             
-- Command	: -intstyle ise -rpw 100 -ar Structure -tm SimExampleCircuit -w -dir netgen/fit -ofmt vhdl -sim SimExampleCircuit.nga SimExampleCircuit_timesim.vhd 
-- Device	: XC2C32A-4-QFG32 (Speed File: Version 14.0 Advance Product Specification)
-- Input file	: SimExampleCircuit.nga
-- Output file	: C:\Files\SimExample\netgen\fit\SimExampleCircuit_timesim.vhd
-- # of Entities	: 1
-- Design Name	: SimExampleCircuit.nga
-- Xilinx	: C:\Xilinx\14.7\ISE_DS\ISE\
--             
-- Purpose:    
--     This VHDL netlist is a verification model and uses simulation 
--     primitives which may not represent the true implementation of the 
--     device, however the netlist is functionally correct and should not 
--     be modified. This file cannot be synthesized and should only be used 
--     with supported simulation tools.
--             
-- Reference:  
--     Command Line Tools User Guide, Chapter 23
--     Synthesis and Simulation Design Guide, Chapter 6
--             
--------------------------------------------------------------------------------

library IEEE;
use IEEE.STD_LOGIC_1164.ALL;
library SIMPRIM;
use SIMPRIM.VCOMPONENTS.ALL;
use SIMPRIM.VPACKAGE.ALL;

entity SimExampleCircuit is
  port (
    i0 : in STD_LOGIC := 'X'; 
    i1 : in STD_LOGIC := 'X'; 
    q : out STD_LOGIC 
  );
end SimExampleCircuit;

architecture Structure of SimExampleCircuit is
  signal i0_II_UIM_1 : STD_LOGIC; 
  signal i1_II_UIM_3 : STD_LOGIC; 
  signal q_MC_Q_5 : STD_LOGIC; 
  signal q_MC_Q_tsimrenamed_net_Q_6 : STD_LOGIC; 
  signal q_MC_D_7 : STD_LOGIC; 
  signal q_MC_D1_8 : STD_LOGIC; 
  signal q_MC_D2_9 : STD_LOGIC; 
  signal NlwBufferSignal_q_MC_D_IN0 : STD_LOGIC; 
  signal NlwBufferSignal_q_MC_D_IN1 : STD_LOGIC; 
  signal NlwBufferSignal_q_MC_D1_IN0 : STD_LOGIC; 
  signal NlwBufferSignal_q_MC_D1_IN1 : STD_LOGIC; 
begin
  i0_II_UIM : X_BUF
    port map (
      I => i0,
      O => i0_II_UIM_1
    );
  i1_II_UIM : X_BUF
    port map (
      I => i1,
      O => i1_II_UIM_3
    );
  q_6 : X_BUF
    port map (
      I => q_MC_Q_5,
      O => q
    );
  q_MC_Q : X_BUF
    port map (
      I => q_MC_Q_tsimrenamed_net_Q_6,
      O => q_MC_Q_5
    );
  q_MC_Q_tsimrenamed_net_Q : X_BUF
    port map (
      I => q_MC_D_7,
      O => q_MC_Q_tsimrenamed_net_Q_6
    );
  q_MC_D : X_XOR2
    port map (
      I0 => NlwBufferSignal_q_MC_D_IN0,
      I1 => NlwBufferSignal_q_MC_D_IN1,
      O => q_MC_D_7
    );
  q_MC_D1 : X_AND2
    port map (
      I0 => NlwBufferSignal_q_MC_D1_IN0,
      I1 => NlwBufferSignal_q_MC_D1_IN1,
      O => q_MC_D1_8
    );
  q_MC_D2 : X_ZERO
    port map (
      O => q_MC_D2_9
    );
  NlwBufferBlock_q_MC_D_IN0 : X_BUF
    port map (
      I => q_MC_D1_8,
      O => NlwBufferSignal_q_MC_D_IN0
    );
  NlwBufferBlock_q_MC_D_IN1 : X_BUF
    port map (
      I => q_MC_D2_9,
      O => NlwBufferSignal_q_MC_D_IN1
    );
  NlwBufferBlock_q_MC_D1_IN0 : X_BUF
    port map (
      I => i0_II_UIM_1,
      O => NlwBufferSignal_q_MC_D1_IN0
    );
  NlwBufferBlock_q_MC_D1_IN1 : X_BUF
    port map (
      I => i1_II_UIM_3,
      O => NlwBufferSignal_q_MC_D1_IN1
    );
  NlwBlockROC : X_ROC
    generic map (ROC_WIDTH => 100 ns)
    port map (O => PRLD);

end Structure;

